Crypto To Crypto

Operations for handling direct and cross-chain transactions

Request a quote

post

Authentication

All API requests to orda require HMAC signatures using your project's client ID and client secret. To authenticate your quote request the signature is a HMAC-SHA256 hash of the request body, using your Client Secret as the key. Never share your Client Secret or include it directly in your client-side code.

  • Generate an x-signature header using your client secret.

  • Include your x-client-id in the request headers.

Required Headers

Header
Description

x-client-id

Your project's client ID

x-signature

HMAC-SHA256 signature derived from your client secret

Content-Type

application/json for this request


Intent Specification: The quote request uses an intent object to specify the amount calculation method:

  • usd: Calculate based on USD amount

  • fromAmount: Calculate based on source token amount

  • toAmount: Calculate based on destination token amount

Important Notes:

  • Quotes are valid for 15 seconds

  • Make sure you are using the correct token decimals for the token and chain when using toAmount and fromAmount intent methods

  • Users should request new quotes frequently for accurate pricing

  • The API uses rate limiting for all end points (10 requests per 5 minutes per project)

  • You must provide either recipientId OR settlementDetails (not both)

Authorizations
x-client-idstringRequired

Your project client ID from orda dashboard

x-signaturestringRequired

HMAC-SHA256 signature of canonical request body using your client secret

x-timestampstringRequired

Unix timestamp in milliseconds for replay protection (recommended)

Header parameters
x-client-idstringRequired

Your project client ID from orda dashboard

Default: prj_abc123def456ghi789Example: prj_abc123def456ghi789
x-signaturestringRequired

HMAC-SHA256 signature of canonical request body using your client secret

Default: a1b2c3d4e5f6789abc123def456ghi789abc123def456Example: a1b2c3d4e5f6789abc123def456ghi789abc123def456
x-timestampstringOptional

Unix timestamp in milliseconds for replay protection (recommended)

Default: 1704067200000Example: 1704067200000
Body
fromChainstringRequired

Source blockchain chain ID

Example: 42161
fromTokenstringRequired

Source token contract address

Example: 0xaf88d065e77c8cC2239327C5EDb3A432268e5831
fromAddressstringRequired

Source wallet address

Example: 0x742d35Cc6634C0532925a3b844Bc45426438f000
recipientIdstringOptional

The ID of an existing recipient to send funds to (provide either this OR settlementDetails)

Example: recipient-id
Responses
chevron-right
200

Quote generated successfully

application/json
messagestringOptional

Status message

Example: Quote requested
transactionIdstringOptional

Transaction ID

Example: 67e6fb79b7b3b7bc1deba5bb
post
/quote

Get transaction status

get

Retrieve the status of a transaction by transaction ID, source hash, or destination hash. At least one of these parameters must be provided.

Authentication

All API requests to orda require HMAC signatures using your project's client ID and client secret. The signature is a HMAC-SHA256 hash of the request body, using your Client Secret as the key. For GET or endpoints with no request body, use the string "{}" (canonical empty object) for the signature.

Required Headers

Header
Description

x-client-id

Your project's client ID

x-signature

HMAC-SHA256 signature derived from your client secret

Content-Type

application/json for this request


Status Values:

  • Pending: Transaction submitted to blockchain

  • In_progress: Cross-chain processing in progress

  • Completed: Transaction completed successfully

  • Failed: Transaction failed

  • Refunded: Transaction was refunded

Authorizations
x-client-idstringRequired

Your project client ID from orda dashboard

x-signaturestringRequired

HMAC-SHA256 signature of canonical request body using your client secret

x-timestampstringRequired

Unix timestamp in milliseconds for replay protection (recommended)

Query parameters
transactionIdstringOptional

Transaction ID from quote response

Example: 67299f9f617d20cb18b37640
sourceHashstringOptional

Source transaction hash

Example: 0x123...
destinationHashstringOptional

Destination transaction hash

Example: 0x456...
Header parameters
x-client-idstringRequired

Your project client ID from orda dashboard

Default: prj_abc123def456ghi789Example: prj_abc123def456ghi789
x-signaturestringRequired

HMAC-SHA256 signature of canonical request body using your client secret

Default: a1b2c3d4e5f6789abc123def456ghi789abc123def456Example: a1b2c3d4e5f6789abc123def456ghi789abc123def456
x-timestampstringOptional

Unix timestamp in milliseconds for replay protection (recommended)

Default: 1704067200000Example: 1704067200000
Responses
chevron-right
200

Transaction status retrieved

application/json
requestSuccessbooleanOptionalExample: true
get
/status

List successful transactions

get

Returns all completed transactions for your business or specific recipient.

Authentication

All API requests to orda require HMAC signatures using your project's client ID and client secret. The signature is a HMAC-SHA256 hash of the request body, using your Client Secret as the key. For GET or endpoints with no request body, use the string "{}" (canonical empty object) for the signature.

Required Headers

Header
Description

x-client-id

Your project's client ID

x-signature

HMAC-SHA256 signature derived from your client secret

Content-Type

application/json for this request


Notes:

  • Transactions are sorted by creation date (newest first)

  • Results include both direct transfers and cross-chain swaps

  • For recipient client IDs, only transactions related to that specific recipient are returned

Authorizations
x-client-idstringRequired

Your project client ID from orda dashboard

x-signaturestringRequired

HMAC-SHA256 signature of canonical request body using your client secret

x-timestampstringRequired

Unix timestamp in milliseconds for replay protection (recommended)

Header parameters
x-client-idstringRequired

Your project client ID from orda dashboard

Default: prj_abc123def456ghi789Example: prj_abc123def456ghi789
x-signaturestringRequired

HMAC-SHA256 signature of canonical request body using your client secret

Default: a1b2c3d4e5f6789abc123def456ghi789abc123def456Example: a1b2c3d4e5f6789abc123def456ghi789abc123def456
x-timestampstringOptional

Unix timestamp in milliseconds for replay protection (recommended)

Default: 1704067200000Example: 1704067200000
Responses
chevron-right
200

Transactions retrieved successfully

application/json
_idstringOptionalExample: 67d2ed97b7b3b7bc1deb5acc
fromChainstringOptionalExample: 8453
toChainstringOptionalExample: 42161
fromTokenstringOptionalExample: 0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913
toTokenstringOptionalExample: 0xaf88d065e77c8cC2239327C5EDb3A432268e5831
fromAmountstringOptionalExample: 999800
toAmountstringOptionalExample: 999299
usdAmountnumberOptionalExample: 1
fromAddressstringOptionalExample: 0xEb773962B73e9b4d07dc747238C8a75C440973dB
toAddressstringOptionalExample: 0x34e90b6fa4bc74b92bb5743dcafa3b479cfbcecf
typestring · enumOptionalExample: RelayPossible values:
feestringOptionalExample: 501
createdAtstring · date-timeOptionalExample: 2025-03-13T14:37:11.349Z
sourceTransactionHashstringOptionalExample: 0x29623029145bffe2479c2d466bd95a01762ce3e852d826bb67975fa2d7bfc580
destinationTransactionHashstringOptionalExample: 0x29623029145bffe2479c2d466bd95a01762ce3e852d826bb67975fa2d7bfc580
get
/successful-transactions

Last updated